it.csi.mddtools.guigen

## Interface FileUpload

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Widget

      public interface FileUpload
      extends Widget

  A representation of the model object 'File Upload'. Widget per la selezione e l'upload di un file

  The following features are supported:

  - `Multiple`
  See Also:
    `GuigenPackage.getFileUpload()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMultiple()` Returns the value of the 'Multiple' attribute.
    `void` | `setMultiple(boolean value)` Sets the value of the '`Multiple`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isMultiple

          boolean isMultiple()

      Returns the value of the 'Multiple' attribute. The default value is `"false"`. se multiple = true, sarà possibile selezionare più di un file. Il valore di default è: false
      Returns:
        the value of the 'Multiple' attribute.
      See Also:
        `setMultiple(boolean)`, `GuigenPackage.getFileUpload_Multiple()`

    - #### setMultiple

          void setMultiple(boolean value)

      Sets the value of the '`Multiple`' attribute.
      Parameters:
        `value` - the new value of the 'Multiple' attribute.
      See Also:
        `isMultiple()`